//! The ableOS kernel.

#![feature(alloc_error_handler, prelude_import)]
#![no_std]
#![deny(missing_docs)]

extern crate alloc;

pub mod allocator;
pub mod arch;
pub mod task;

use versioning::Version;

/// Kernel's version
pub const KERNEL_VERSION: Version = Version {
    major: 0,
    minor: 1,
    patch: 2,
};
